Page MenuHomePhabricator

Flow: tipsy 'w'est gravity adds a visible dot 9999 pixels down the browser window
Closed, ResolvedPublic

Description

The CSS in modules/base/styles/actionbox.less that styles a flyout breaks if its arrow points to the west: in both Chromium and Firefox, the browser window gets ~9000 pixels taller and if you scroll down there's a visible dot at the bottom.

The dot comes from the tipsy-arrow:after selector in modules/base/styles/mixins/arrow.less that has

content: '.';
text-indent: -9999px;

The big negative text-indent pushes the '.' offscreen without creating visible content beyond the normal scroll area; but in conjunction with gravity 'w' which rotates the arrow -90deg, the dot appears in the visible browser content a long way down.

The anonymous editor warning (gerrit 117846) is the first Flow flyout positioned to the side (the default is north), so we haven't noticed this before. You can reproduce with existing flyouts by changing their gravity: go to a short topic e.g. https://www.mediawiki.org/wiki/Talk:Sandbox?workflow=rq3egbkuhi9027u8, click [...] to bring up an action menu, and in the browser's inspector window find the <div class="tipsy-tipsy-n"> at the end of the body tag and change the latter class to "tipsy-w".

There are other glitches with the tipsy flyout arrow positioning:

  • The undocumented nw,sw,ne, and se gravities don't position the arrow properly.
  • The border bevel doesn't appear on the side of the arrow exactly as in mockups.
  • Sometimes a line is visible cutting the arrow off from the main part of the flyout.

Much of this we can leave for fixing when the flyout design migrates to core Agora, tracked in https://trello.com/c/vr0Oai8G


Version: master
Severity: minor

Details

Reference
bz62689

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:53 AM
bzimport set Reference to bz62689.

The edit conflict warning on topic titles was, IIRC, the first tipsy we used and is positioned to the side; we just don't see that one very often because it's so rare for two people to be editing a topic title at the same time :) Does that one also have all these issues?

Change 119286 had a related patch set uploaded by Matthias Mullie:
(bug 62689) tipsy 'w'est gravity adds a visible dot 9999 pixels down the browser window

https://gerrit.wikimedia.org/r/119286

Change 119286 merged by jenkins-bot:
(bug 62689) tipsy 'w'est gravity adds a visible dot 9999 pixels down the browser window

https://gerrit.wikimedia.org/r/119286

TheDJ added a comment.May 18 2014, 2:28 PM

The patch was merged, considering this fixed.

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:39 AM